
%define rel 1

Name: libkcddb
Summary: Library for retrieving and sending cddb information
Version: 16.08.1
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: %{_lib}kde4-kdelibs-devel
BuildRequires: %{_lib}musicbrainz5-devel


%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%files
%_kde_libdir/kde4/kcm_cddb.so
%_kde_datadir/config.kcfg/libkcddb.kcfg
%_kde_services/libkcddb.desktop

#-----------------------------------------------------------------------------
%package -n libkcddb-handbook
Summary: Handbook package for libkcddb
Group: Documentation
Requires: libkcddb
BuildArch: noarch


%description -n libkcddb-handbook
This package provides the handbook for KCM cddb.

%files -n libkcddb-handbook
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kcontrol/cddbretrieval

#------------------------------------------------------------------------------
%define kcddb_major 4
%define libkcddb %mklibname kde4-kcddb %kcddb_major

%package -n %{libkcddb}
Summary: %{name} library
Group: System/Libraries

%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%_kde_libdir/libkcddb.so.%{kcddb_major}*

#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kde4-kcddb -d

%package -n %{libkcddb_devel} 
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %libkcddb
Provides: libkcddb-devel = %version-%release
Provides: kcddb-devel = %version-%release

%description -n %{libkcddb_devel} 
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel} 
%_kde_libdir/libkcddb.so
%_kde_libdir/cmake/libkcddb
%_kde_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Sat Sep 10 2016 bb <bb> 16.08.1-1pclos2016
- update

